/* Force Safari to render the screen when it might not normally.*/

@keyframes forceReflow {

  from {opacity: 0.99;}

  to {opacity: 1.0;}

}

 box-shadow: 4px 4px 6px -2px rgba(0,0,0,0.4);

/* Apply animation when the container is shown. Works on Resizing the screen or showing the screen. Needed for Safari. */

.puiresp > div[container="true"]  {

  animation-name: forceReflow;

  animation-duration: 0.5s;

}

.cp-defaults {
  font-family: "Poppins", "Open Sans", sans-serif;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
}
.cp-menu {
  font-size: 13px;
  width: auto !important;
  right: 15px !important;
  z-index: 999;
  position: fixed !important;
}
.cp-menu a {
  color: #1b345a;
  text-decoration: none;
}
.cp-menu a:hover {
  color:#78962c;
}
@media screen and (max-width: 1240px) {
  .cp-menu {
    visibility: hidden;
  }
}

@media screen and (max-width: 1240px) {
  .cp-mobile-hamburger {
    visibility: visible;
  }
}

/* Project 43675 Tax and Insurance */
.cp-noOverflow .puiresp {
  overflow: hidden !important;
}

.cp-mobile-menu {
  font-size: 15px;
  font-weight: 600;
  color: #1b345a;
  background-color: white;
  border-color: white;
  Width: calc(100% - 225px) !important;
}
.cp-mobile-menu a {
  color: #1b345a;
  text-decoration: none;
}
.cp-mobile-menu a:hover {
  color:#78962c;
}

/* mobile menu formatting */
.cp-label a {
  color: #1b345a;
  text-decoration: none;
}
.cp-label a:hover {
  color:#78962c;
}

@media screen and (min-width: 821px) {
  #cpLoanNumber {
    font-size: 1.75rem;
  }
}
@media screen and (max-width: 820px) {
  #cpLoanNumber {
    font-size: 16px;
    /* line-height: 0.4; */
  }
  /* #cpadd1 {
    line-height: 0.4;
  }
  #cpadd2 {
    line-height: 0.4;
  } */
}

.cp-urgentmsg {
  text-align: center;
  background-color:#FFFF00;
  border-radius: 5px;
  color: #4d4643;
  white-space: normal;
}

#cpbillboardmsg {
  display: flex;
  justify-content: center;
  align-items: flex-end;
}
.cp-billboardmsg {
  text-align: center;
  background-color:#208996;
  border-radius: 5px;
  color: white;
  width: 100%;
  white-space: normal;
}

.cpalertmessage {
  font-weight: normal !important;
}

.cp-home-alert {
  background-color: #208996;
  color: #fff;
  height: 50px;
}
@media screen and (max-width: 820px) {
  .cp-home-alert {
    height: 65px;
  }
}

.cp-home-fincall {
  font-size: .80rem;
}

.cp-label-small {
  font-size: .75rem;
  color: #4d4643;
}

.cp-down-arrow {
  font-size: 12px;
  line-height: 0;
  margin-left: 5px;
}

.cp-blue-container {
  background-color: #1b345a;
  color: #FFF;
  border-top: 2px solid #208996;
  top: 0px;
  left: 0px;
  height: 100%;
  width: 100%;
}

.cp-blue-container-TandI {
  background-color: #1b345a;
  color: #FFF;
  border-top: 2px solid #208996;
  height: 100%;
  width: 100%;
}

.cp-grey-container {
  background-color: rgb(27 52 90 / 25%);
  color: #4d4643;
  top: 0px;
  left: 0px;
  height: 100%;
  width: 100%;
}
.cp-white-container {
  background-color: white;
  color: #4d4643;
  border: none;
  border-radius: 15px;
  padding: 1rem 0.25rem;
  box-shadow: 0 4px #999;
}

.cp-white-container-TandI {
  background-color: white;
  color: #4d4643;
  border: none;
  border-radius: 15px;
  padding: 1rem 0.25rem;
  box-shadow: 4px 4px 4px #999;
  height: fit-content;
}

.cp-main-body {
  position: fixed !important;
}

.cp-header-text {
  color: white;
  font-weight: bold;
  font-size: calc(1.325rem + .9vw);
  line-height: 1;
}

.cp-subheader-text {
  color: white;
}

.cp-header125 {
  font-size: 1.25rem;
  color: #4d4643;
  font-weight: 500;
  line-height: 1.2;
}

.cp-label {
  color: white;
  font-weight: normal;
}
.cp-label-blue {
  color: #1B345A;
  font-weight: bold;
}
.cp-body-text-white {
  color: #FFF;
  font-weight: bold;
}

.cp-body-text-dark {
  color: #4d4643;
  font-weight: bold;
}

.cp-body-text-orange {
  color: #78962c;
  font-weight: bold;
}

.cp-body-text-grey {
  color: #4d4643;
}

@media screen and (max-width: 821px) {
  .cp-body-text-grey {
    font-size: 13px;
  }
}

.cp-grey-bg {
  position: fixed !important;
}

.cp-white-box {
  outline: 0;
  border: none;
  border-radius: 15px;
  box-shadow: 0 4px #999;
  background-color: #fff;
  padding: 1rem 0.25rem;
  white-space: normal;
}

.cp-mobile-hide {
  background-color: black;
  opacity: 80%;
}

.cp-popup-container {
  background-color: white;
  color: #4d4643;
  border-radius: 15px;
  border: 1px solid rgba(0,0,0,.2);
}

.cp-button-blue-clear {
  color: #1b345a;
  font-weight: 500;
  font-size: 14px;
  letter-spacing: 1px;
  background-color: transparent;
  border-radius: 4px;
  border: 2px solid #1b345a;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 3px;
  padding-bottom: 3px;
  margin: 0;
  line-height: 0;
}

.cp-button-blue-clear:hover {
  color: #78962c;
  background-color: white;
}

/* Login Background Picture */
.cp-green-house-picture {
  background-image: url('/profoundui/userdata/images/blue-house2.jpg');
  background-position: center center;
  background-repeat: no-repeat;
  background-attachment: scroll;
  background-size: cover;
  background-color: white;
  background-position-y: bottom;
}

/* Login Buttons */
.cp-login-button-blue {
  color: white;
  font-weight: 500;
  font-size: 14px;
  letter-spacing: 1px;
  background-color: #1b345a;
  border-radius: 4px;
  border: 2px solid #1b345a;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 3px;
  padding-bottom: 3px;
  margin: 0;
  line-height: 0;
  cursor: pointer;
}

.cp-login-button-blue:hover {
  color: #1b345a;
  background-color: white;
}

.cp-login-button-white {
  color: #1b345a;
  font-weight: 500;
  font-size: 14px;
  letter-spacing: 1px;
  background-color: white;
  border-radius: 4px;
  border: 2px solid #1b345a;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 3px;
  padding-bottom: 3px;
  margin: 0;
  line-height: 0;
  cursor: pointer;
}

.cp-login-button-white:hover {
  color: white;
  background-color: #1b345a;
}

.cp-login-textbox {
  height: 40px;
  margin: 3px 0;
  padding: 2px 20px;
  background: #f8f8f8;
  border: 3px solid #ddd;
  font-weight: 300;
  line-height: 40px;
  color: #888;
  border-radius: 4px;
  box-shadow: none;
}

.cp-login-textbox:focus {
  background: #fff;
  border: 3px solid #ccc;
}

.cp-login-container {
  background: #eee;
  border-radius: 0 0 4px 4px;
  border-width: 2px !important;
  border-top: 2px solid #78962c;
  border-bottom: 2px solid #78962c;
  border-right: 2px solid #78962c;
  border-left: 2px solid #78962c;
}

.cp-light-grey-button {
	background-color: #cecece;
	color: #1b345a;
  font-weight: 500;
  font-size: 1rem;
  letter-spacing: 1px;
	text-align: center;
	border: 1px solid transparent;
	border-radius: .25rem;
  cursor: pointer;
}

.cp-light-grey-button:hover {
  background-color: #78962c;
  color: white;
}

.cp-general-button-green {
  color: white;
  font-weight: 500;
  font-size: 14px;
  letter-spacing: 1px;
  background-color: #78962c;
  border-radius: 4px;
  border: 2px solid #78962c;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 3px;
  padding-bottom: 3px;
  margin: 0;
  line-height: 0;
  cursor: pointer;
}

.cp-general-button-green:hover {
  color: #78962c;
  background-color: white;
}

.cp-general-button-green:disabled {
  background-color:#999;
  color: white;
  cursor: default;
  border-radius: 4px;
  border: 2px solid black;
}

.cp-col-10 {
  /* flex:0 0 auto; */
  width:83.33333333%;
  white-space: normal;
  padding-right: 25px;
}
.cp-col-2 {
  width:16.66666667%;
  padding-left: 25px;
  padding-right: 25px;
}

.cp-row {
  display:flex;
}

.cp-po-header-text {
  font-weight: bold;
  color: #1b345a;
  font-size: 18px;
}

.cp-po-green-hyperlink {
  color:#78962c;
  text-decoration: none !important;
}

#cpyeardisc {
  font-family: "Poppins", "Open Sans", sans-serif;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  text-align: center;
  white-space: normal;
  height: 90px;
}

#cpbanknameappears {
  font-family: "Poppins", "Open Sans", sans-serif;
  display: flex;
  justify-content: left;
  align-items: flex-end;
  text-align: left;
  white-space: normal;
}

.cp-top-gray-header {
  font-family: "Poppins", "Open Sans", sans-serif;
  display: flex;
  justify-content: left;
  align-items: flex-end;
  text-align: left;
  background-color:  rgb(27 52 90 / 5%);
  white-space: normal;
  color: #1b345a;
  font-weight: 500;
  font-size: calc(1.3rem + .6vw);
  line-height: 1.2;
  height: 50px;
  width: calc(100% - 25px);
  padding-left: 25px;
}

.cp-autopay-selections {
  font-family: "Poppins", "Open Sans", sans-serif;
  display: flex;
  justify-content: left;
  align-items: center;
  text-align: left;
  white-space: normal;
}

.cp-autopay-selections2 {
  font-family: "Poppins", "Open Sans", sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: left;
  white-space: normal;
}

.cp-header-line {
  border-bottom-color:   rgb(27 52 90 / 5%);
  border-bottom-style: solid;
  border-bottom-width: 2px;
  bottom: 5px;
}

.poPostingTable {
  background-color: white;
  border-spacing: 0px;
}

.poPostingTable td, .poPostingTable th{
  border-bottom: 2px solid rgb(27 52 90 / 25%);
  padding: 5px;
}

@media screen and (max-width: 821px) {
  #cp-mp-contnameL {
    visibility: hidden;
  }
  #cp-mp-contnameO {
    left: 5%;
    text-align: left !important;
    width: 90% !important;
  }
  #cp-mp-mailaddL {
    visibility: hidden;
  }
  #cp-mp-mailaddO {
    left: 5%;
    text-align: left !important;
    width: 90% !important;
  }
  #cp-mp-phoneL {
    visibility: hidden;
  }
  #cp-mp-phoneO {
    left: 5%;
    text-align: left !important;
    width: 90% !important;
  }
  #cp-mp-emailL {
    visibility: hidden;
  }
  #cp-mp-emailO {
    left: 5%;
    text-align: left !important;
    width: 90% !important;
  }
}

/* Project 43675 Tax and Insurance */
/* Tooltip container */
.cp-tooltip {
  position: relative;
  display: inline-block;
}

/* Tooltip text */
.cp-tooltip .cp-tooltiptext {
  visibility: hidden;
  width: max-content;
  background-color: #edeef0;
  color: black;
  text-align: left;
  padding: 5px 15px;
  border-radius: 15px;
  border: 2px solid black;
 
  /* Position the tooltip */
  position: absolute;
  z-index: 1;
  top: -180px;
  left: 125%;
}

/* Show the tooltip text when you mouse over the tooltip container */
.cp-tooltip:hover .cp-tooltiptext {
  visibility: visible;
}

/* Tooltip arrow */
.cp-tooltip .cp-tooltiptext::after {
  content: "";
  position: absolute;
  top: 50%;
  right: 100%;
  margin-top: -10px;
  border-width: 10px;
  border-style: solid;
  border-color: transparent black transparent transparent;
}

/* Project 43675 Tax and Insurance */

.cp-body-text-centered {
  text-align: center;
  white-space: normal;
}

.cp-body-text-left {
  float: left;
  text-align: left;
  white-space: normal;
}

.cp-body-text-right {
  float: right;
  text-align: right;
  white-space: normal;
}

.cp-body-text-italic {
  font-style: italic; 
}

.cp-docCenter-ED-text {
  display: grid;
  grid-template-columns: auto auto;
  column-gap: 10px;
}

.cp-docCenter-newText {
  color: #1B345A;
  font-weight: 600;
  font-style: italic;
}

.cp-docCenter-button-green {
  color: white;
  font-weight: 500;
  font-size: 14px;
  letter-spacing: 1px;
  background-color: #78962c;
  border-radius: 4px;
  border: 2px solid #78962c;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 3px;
  padding-bottom: 3px;
  margin: 0;
  line-height: 0;
  cursor: pointer;
  height: 30px;
}

.cp-docCenter-docs-table {
  width: 100%;
}

.cp-docCenter-docs-table td{
  padding: min(20px,1vw);
  white-space: normal;
}

.cp-green-hyperlink {
  font-weight: bold;
  color: #78962c;
  cursor: pointer;
}

.cp-dropdown-docCenter {
  color: #4d4643;
  font-weight: 400;
  text-align: center;
  background-color: #e9ecef;
  height: 30px;
  width: 250px;
  border-radius: 5px;
  border: 1px solid #4d4643;
  left: calc(50% - 125px);
  position: relative;
  cursor: pointer;
}

.cp-docCenter-margins {
  display: grid;
  grid-template-columns: minmax(10px,auto) minmax(300px,900px) minmax(10px,auto);
}

.cp-fixed-white-container {
  position: fixed !important;
  top: 0;
  width: 100%;
  height: 100px;
  background-color: white;
  z-index: 10;
}

.cp-fixed-responsive-layout {
  position: fixed !important;
  z-index: 11;
}

.cp-allsect-footer {
  bottom: 0px;
  margin-top: 10px;
  position: fixed !important;
  height: 100px;
  width: 100%;
  text-align: center;
  overflow: hidden;
  white-space: normal;
}

.cp-allsect-footer-fixed {
  bottom: 0px;
  margin-top: 10px;
  height: 100px;
  width: 100%;
  text-align: center;
  overflow: hidden;
  white-space: normal;
}

/* Accordian Starting Position */
.cp-accordian-allsections {
  top: 270px;
  width: 100%;
  /* padding-bottom: 100px; */
}

@media screen and (max-width: 820px) {
  .cp-accordian-allsections {
    top: 380px;
  }
}

.cp-accordian-allsections-docCenter {
  top: 100px;
  width: 100%;
  /* padding-bottom: 100px; */
}


/* Style the buttons that are used to open and close the accordion panel */
.cp-accordion {
  background-color: #1b345a;
  color: #FFF;
  cursor: pointer;
  padding: 18px;
  width: 100%;
  text-align: left;
  /* border-top: 15px solid #1b345a40; */
  border-top-style: solid;
  border-top-width: 5px;
  border-top-color: white;
  border-left: none;
  border-bottom: 2px solid #1b345a;
  border-right: none;
  outline: none;
  transition: 0.4s;
}

/* Add a background color to the button if it is clicked on (add the .active class with JS), and when you move the mouse over it (hover) */
.active, .cp-accordion:hover {
  background-color: #D1D6DE;
  color: #4d4643;
}

.cp-accordion:after {
  content: '\1F783';
  /* content: '\2BEF'; */
  color: white;
  font-weight: bold;
  float: right;
  margin-left: 5px;
}

.active:after {
  content: "\2212";
  color: #4d4643;
}
.cp-accordion:hover:after {
  color: #4d4643;
}

/* Style the accordion panel. Note: hidden by default */
.cp-accordion-panel {
  padding: 0 18px;
  background-color: #D1D6DE;
  color: #4d4643;
  display: none;
  overflow: hidden;
  white-space: normal;
}


.cp-accordion-button-blue {
  color: white;
  /* font-weight: 500;
  font-size: 14px; */
  letter-spacing: 1px;
  background-color: #1b345a;
  border-radius: 4px;
  border: 2px solid #1b345a;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 3px;
  padding-bottom: 3px;
  margin: 0;
  line-height: 0;
  cursor: pointer;
  margin-left: calc(50% - 77px);
  margin-bottom: 20px;
  height: 25px;
  width: 155px;
  
}

.cp-tandi-text {
  color: #4d4643;
}

.cp-tandi-text-bold {
  color: #4d4643;
  font-weight: bold;
  text-align: right;
}

@media screen and (max-width: 400px) {
  .cp-tandi-text-bold {
    text-align: left !important;
  }
}

.cp-tandi-text-bold-link {
  color: #0066cc;
  font-weight: bold;
  text-align: right;
}

@media screen and (max-width: 400px) {
  .cp-tandi-text-bold-link {
    text-align: left !important;
  }
}

.cp-tandi-text-header {
  color: #4d4643;
  font-weight: bold;
  font-size: 1.3rem;
  margin-left: 5px;
  white-space: normal;
}

.cp-accordion-button-blue:hover {
  color: #1b345a;
  background-color: white;
}

/* responsive design... */
.cp-grid-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* Two equal columns */
  grid-template-rows: repeat(1, 1fr);    /* Two equal rows */
  gap: 10px; /* Optional: space between grid items */
}

@media (max-width: 820px) { /* Adjust breakpoint as needed */
  .cp-grid-container {
      grid-template-columns: 1fr; /* Stack items in a single column */
  }
}

.cp-grid-container-interior-tax {
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* Two equal columns */
  grid-template-rows:  auto;
  gap: 10px; /* Optional: space between grid items */
  margin-left: 20px;
  margin-right: 5px;
  margin-top: 10px;
}

@media (max-width: 400px) { /* Adjust breakpoint as needed */
  .cp-grid-container-interior-tax {
      grid-template-columns: 1fr; /* Stack items in a single column */
  }
}

.cp-grid-container-interior-ins {
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* Two equal columns */
  grid-template-rows:  auto;
  gap: 10px; /* Optional: space between grid items */
  margin-left: 20px;
  margin-right: 5px;
  margin-top: 10px;
}

@media (max-width: 400px) { /* Adjust breakpoint as needed */
  .cp-grid-container-interior-ins {
      grid-template-columns: 1fr; /* Stack items in a single column */
  }
}

.cp-defaults ul {
  list-style: none;
}

.cp-defaults ul li::before {
  content: '\2937';
  position: relative;
  left: -5px;
  font-weight: 900;
}


/* Error/validation tip skins

/* Error */

/* .pui-tip-error .pui-tip-content {
  background: blue none repeat scroll 0 0;
  border-color: orange;
}

.pui-tip-error.pui-tip-top {
  background-image: url('../images/validation-arrow-bottom.gif');
}

.pui-tip-error.pui-tip-bottom {
  background-image: url('../images/validation-arrow-top.gif');
}

.pui-tip-error.pui-tip-left {
  background-image: url('../images/validation-arrow-right.gif');
}

.pui-tip-error.pui-tip-right {
  background-image: url('../images/validation-arrow.gif');
}

.pui-tip-error .pui-tip-close {
  background-image: url('../images/buttons/close/x5.png');
}

.pui-tip-error .pui-tip-close-click {
  background-image: url('../images/buttons/close/x5_click.png');
}

.pui-tip-error .pui-tip-icon {
  background-image: url('../images/icons/exclamation.png');
}

.pui-tip-error-invalid {
  background-image: url('../images/invalid-underline.gif');
  background-repeat: repeat-x;
  background-position: bottom;
  border-color: #924949;
} */
